// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package generated

import (
	"context"

	"github.com/99designs/gqlgen/graphql"
	"github.com/vektah/gqlparser/v2/ast"
	"gitlab.com/talgat.s/belka-go/graph/scalar"
)

// region    ************************** generated!.gotpl **************************

// endregion ************************** generated!.gotpl **************************

// region    ***************************** args.gotpl *****************************

// endregion ***************************** args.gotpl *****************************

// region    ************************** directives.gotpl **************************

// endregion ************************** directives.gotpl **************************

// region    **************************** field.gotpl *****************************

// endregion **************************** field.gotpl *****************************

// region    **************************** input.gotpl *****************************

// endregion **************************** input.gotpl *****************************

// region    ************************** interface.gotpl ***************************

// endregion ************************** interface.gotpl ***************************

// region    **************************** object.gotpl ****************************

// endregion **************************** object.gotpl ****************************

// region    ***************************** type.gotpl *****************************

func (ec *executionContext) unmarshalNPoints2gitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐPoints(ctx context.Context, v interface{}) (scalar.Points, error) {
	var res scalar.Points
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNPoints2gitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐPoints(ctx context.Context, sel ast.SelectionSet, v scalar.Points) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNRank2gitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐRank(ctx context.Context, v interface{}) (scalar.Rank, error) {
	var res scalar.Rank
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNRank2gitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐRank(ctx context.Context, sel ast.SelectionSet, v scalar.Rank) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNScore2gitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐScore(ctx context.Context, v interface{}) (scalar.Score, error) {
	var res scalar.Score
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNScore2gitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐScore(ctx context.Context, sel ast.SelectionSet, v scalar.Score) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNSuit2gitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐSuit(ctx context.Context, v interface{}) (scalar.Suit, error) {
	var res scalar.Suit
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSuit2gitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐSuit(ctx context.Context, sel ast.SelectionSet, v scalar.Suit) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalORank2ᚖgitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐRank(ctx context.Context, v interface{}) (*scalar.Rank, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(scalar.Rank)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalORank2ᚖgitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐRank(ctx context.Context, sel ast.SelectionSet, v *scalar.Rank) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOSuit2ᚖgitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐSuit(ctx context.Context, v interface{}) (*scalar.Suit, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(scalar.Suit)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOSuit2ᚖgitlabᚗcomᚋtalgatᚗsᚋbelkaᚑgoᚋgraphᚋscalarᚐSuit(ctx context.Context, sel ast.SelectionSet, v *scalar.Suit) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

// endregion ***************************** type.gotpl *****************************
